Loading...
Searching...
No Matches
BALL::PairExpInteractionEnergyProcessor::Option Struct Reference

`#include <BALL/SOLVATION/pairExpInteractionEnergyProcessor.h>`

## Static Public Attributes

static const char * | VERBOSITY
static const char * | ALPHA
static const char * | C1
static const char * | C2
static const char * | CLAVERIE_FILENAME
static const char * | USE_RDF
static const char * | RDF_FILENAME
static const char * | SOLVENT_FILENAME
static const char * | SURFACE_TYPE
static const char * | SURFACE_FILENAME

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in PairExpInteractionEnergyProcessor::options.

Definition at line 79 of file pairExpInteractionEnergyProcessor.h.

## Member Data Documentation

## ALPHA

const char* BALL::PairExpInteractionEnergyProcessor::Option::ALPHA

static

Constants for the pair potential.

See also
  Default::ALPHA
  Default::C1
  Default::C2

Parameters

  alpha | float
  c1 | float
  c2 | float

Definition at line 97 of file pairExpInteractionEnergyProcessor.h.

## C1

const char* BALL::PairExpInteractionEnergyProcessor::Option::C1

static

Definition at line 98 of file pairExpInteractionEnergyProcessor.h.

## C2

const char* BALL::PairExpInteractionEnergyProcessor::Option::C2

static

Definition at line 99 of file pairExpInteractionEnergyProcessor.h.

## CLAVERIE_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Option::CLAVERIE_FILENAME

static

Definition at line 101 of file pairExpInteractionEnergyProcessor.h.

## RDF_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Option::RDF_FILENAME

static

RDF file option. This options sets the name of the file containing the RDF information. Use char* values with this option.

See also
  Default::RDF_FILENAME

Parameters

  rdf_file_name | char*

Definition at line 117 of file pairExpInteractionEnergyProcessor.h.

## SOLVENT_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Option::SOLVENT_FILENAME

static

Solvent description file option. This option sets the name of the file containig the solvent description. Use char* values with this option.

See also
  Default::SOLVENT_FILENAME;

Parameters

  solvent_file_name | char*

Definition at line 125 of file pairExpInteractionEnergyProcessor.h.

## SURFACE_FILENAME

const char* BALL::PairExpInteractionEnergyProcessor::Option::SURFACE_FILENAME

static

The name of the file containing a surface definition.

See also
  Default::SURFACE_FILENAME

Parameters

  surface_filename | char*

Definition at line 137 of file pairExpInteractionEnergyProcessor.h.

## SURFACE_TYPE

const char* BALL::PairExpInteractionEnergyProcessor::Option::SURFACE_TYPE

static

The type of surface to be used.

See also
  Default::SURFACE_TYPE

Parameters

  surface_type | int the type of the surface

Definition at line 131 of file pairExpInteractionEnergyProcessor.h.

## USE_RDF

const char* BALL::PairExpInteractionEnergyProcessor::Option::USE_RDF

static

RDF option. This option states whether the RDF should be considered during the integrtion or not. Use bool values with this option.

See also
  Default::USE_RDF

Parameters

  verbosity | integer

Definition at line 109 of file pairExpInteractionEnergyProcessor.h.

## VERBOSITY

const char* BALL::PairExpInteractionEnergyProcessor::Option::VERBOSITY

static

The verbosity level. Use integer values with this option.

See also
  Default::VERBOSITY

Parameters

  verbosity | integer

Definition at line 87 of file pairExpInteractionEnergyProcessor.h.